This sounds like the issue/fix discussed here - https://github.com/spacewalkproject/spacewalk/wiki/DebianUbuntuSupportIn27 - just the client change, you shouldn't need to clean and sync channels since you were already running the updated parsing in 2.7.

If you upgraded the clients, possibly this fix got overwritten? I'm not familiar with what comes from the debclients url you mentioned - I don't know if this fix has been applied.

Eric


On 2/19/19 9:23 AM, Florin Portase wrote:

On 2019-02-13 10:56, Florin Portase wrote:

Hello,

I just have upgraded the spacewalk server from 2.7 => 2.9.

I have applied also the sql patch from https://bugzilla.redhat.com/show_bug.cgi?id=1661347

+ upgraded the clients from :

http://download.opensuse.org/repositories/systemsmanagement:/spacewalk:/2.9:/debclients/


Just to mention spacewalk 2.7 +  patches was working just fine for both debian & ubuntu.

Now, for ubuntu 16.05 I have over 100 packages marked as up-gradable( over and over....)



So, here are more info about:


Spacewalk server 2.9 (upgraded from 2.7)

+|spacewalk-add-debian-multiarch-header.py|

Ubuntu client: 16.04 ( basic install => only ssh server)


-here are the list of packages that are installed over and over...


The following packages will be upgraded:
  accountsservice amd64-microcode apparmor apport apt base-files bash bash-completion bsdutils ca-certificates cloud-guest-utils console-setup   console-setup-linux coreutils cryptsetup cryptsetup-bin dh-python distro-info-data dnsmasq-base dpkg friendly-recovery gcc-5-base git git-man grep   grub-common grub-pc grub2-common ifupdown init init-system-helpers initramfs-tools initramfs-tools-core keyboard-configuration klibc-utils kmod   language-selector-common libaccountsservice0 libapt-pkg5.0 libasprintf0v5 libaudit-common libc6 libdbus-1-3 libglib2.0-0 libgssapi-krb5-2 libk5crypto3   libkrb5-3 libkrb5support0 liblxc1 libpam-modules libparted2 libperl5.22 libplymouth4 libpolkit-backend-1-0 libpolkit-gobject-1-0 libpython2.7-minimal   libpython2.7-stdlib libpython3.5-stdlib libsasl2-2 libsasl2-modules libsasl2-modules-db libstdc++6 libsystemd0 libx11-data linux-firmware   linux-headers-4.4.0-116 linux-headers-4.4.0-142 locales login logrotate lsb-base lxc-common lxd lxd-client mdadm mount ntfs-3g open-iscsi open-vm-tools   openssh-sftp-server perl perl-base perl-modules-5.22 plymouth policykit-1 procps python python-apt python-apt-common python-minimal python2.7   python2.7-minimal python3-apt python3-distupgrade python3-update-manager python3.5-minimal resolvconf rsync snapd software-properties-common systemd   systemd-sysv tar ubuntu-release-upgrader-core udev update-manager-core update-notifier-common util-linux uuid-runtime vim-common vim-runtime xfsprogs
  zlib1g
113 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/145 MB of archives.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] n
Abort.



_______________________________________________
Spacewalk-list mailing list
Spacewalk-list@redhat.com <mailto:Spacewalk-list@redhat.com>
https://www.redhat.com/mailman/listinfo/spacewalk-list



_______________________________________________
Spacewalk-list mailing list
Spacewalk-list@redhat.com
https://www.redhat.com/mailman/listinfo/spacewalk-list


--
Eric Herget | Senior Software Engineer
Red Hat Satellite

_______________________________________________
Spacewalk-list mailing list
Spacewalk-list@redhat.com
https://www.redhat.com/mailman/listinfo/spacewalk-list

Reply via email to